# SwapKit API

- [Introduction](https://docs.swapkit.dev/swapkit-api/introduction.md)
- [Swap Types](https://docs.swapkit.dev/swapkit-api/swap-types.md): Understand the different swap types offered by SwapKit
- [Quote and Swap Implementation flow](https://docs.swapkit.dev/swapkit-api/quote-and-swap-implementation-flow.md): Implement a correct quoting flow
- [/providers - Request supported chains by a swap provider](https://docs.swapkit.dev/swapkit-api/providers-request-supported-chains-by-a-swap-provider.md)
- [/tokens - Request supported tokens by a swap provider](https://docs.swapkit.dev/swapkit-api/tokens-request-supported-tokens-by-a-swap-provider.md)
- [/swapFrom - Request sell swap options](https://docs.swapkit.dev/swapkit-api/swapfrom-request-sell-swap-options.md): Check the swap options to sell a given token
- [/swapTo - Request buy swap options](https://docs.swapkit.dev/swapkit-api/swapto-request-buy-swap-options.md): Check the swap options to buy a given token
- [/v3/quote  - Request a swap quote](https://docs.swapkit.dev/swapkit-api/v3-quote-request-a-swap-quote.md): Obtain a quote before performing a swap.
- [/v3/swap - Obtain swap transaction details](https://docs.swapkit.dev/swapkit-api/v3-swap-obtain-swap-transaction-details.md): Use an existing routeId to obtain a swap's transaction details.
- [/track - Request the status of a swap](https://docs.swapkit.dev/swapkit-api/track-request-the-status-of-a-swap.md)
- [/price - Lookup token prices](https://docs.swapkit.dev/swapkit-api/price-lookup-token-prices.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swapkit.dev/swapkit-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
